@{
    # Version number of this module.
    moduleVersion     = '1.34.0'

    # ID used to uniquely identify this module
    GUID              = '9a908ca3-8a67-485c-a014-66ba37fcc2a4'

    # Author of this module
    Author            = 'DSC Community'

    # Company or vendor of this module
    CompanyName       = 'DSC Community'

    # Copyright statement for this module
    Copyright         = 'Copyright the DSC Community contributors. All rights reserved.'

    # Description of the functionality provided by this module
    Description       = 'Module with DSC Resources for deployment and configuration of Microsoft Exchange Server.'

    # Minimum version of the Windows PowerShell engine required by this module
    PowerShellVersion = '4.0'

    # Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
    NestedModules     = @("Modules\xExchangeHelper\xExchangeHelper.psd1")

    # Functions to export from this module
    FunctionsToExport = @(
        'Get-ExistingRemoteExchangeSession',
        'Get-RemoteExchangeSession',
        'New-RemoteExchangeSession',
        'Import-RemoteExchangeSession',
        'Remove-RemoteExchangeModule',
        'Remove-RemoteExchangeSession',
        'Test-ExchangePresent',
        'Get-ExchangeVersionYear',
        'Get-ExchangeUninstallKey'
        'Get-DetailedInstalledVersion', 'Test-ExchangeSetupComplete',
        'Test-ExchangeSetupPartiallyCompleted',
        'Get-SetupExeVersion',
        'Test-ShouldUpgradeExchange',
        'Get-ExchangeInstallStatus',
        'Set-WSManConfigStatus',
        'Test-ShouldInstallUMLanguagePack',
        'Test-ExchangeSetupRunning',
        'Compare-StringToString',
        'Compare-BoolToBool',
        'Compare-TimespanToString',
        'Compare-ByteQuantifiedSizeToString',
        'Compare-UnlimitedToString',
        'Compare-ADObjectIdToSmtpAddressString',
        'Convert-StringToArray',
        'Convert-StringArrayToLowerCase',
        'Compare-ArrayContent',
        'Test-ArrayElementsInSecondArray',
        'Add-ToPSBoundParametersFromHashtable',
        'Remove-FromPSBoundParametersUsingHashtable',
        'Remove-NotApplicableParamsForVersion',
        'Set-EmptyStringParamsToNull',
        'Test-ExchangeSetting',
        'Write-InvalidSettingVerbose',
        'Write-FunctionEntry',
        'Start-ExchangeScheduledTask',
        'Test-CmdletHasParameter',
        'Get-PreviousError',
        'Assert-NoNewError',
        'Restart-ExistingAppPool',
        'Test-UMLanguagePackInstalled',
        'Compare-IPAddressToString',
        'Compare-SmtpAddressToString',
        'Compare-IPAddressesToArray',
        'Compare-PSCredential',
        'Test-ExtendedProtectionSPNList',
        'Assert-IsSupportedWithExchangeVersion',
        'Invoke-DotSourcedScript',
        'Remove-HelperSnapin',
        'Wait-ForProcessStart',
        'Wait-ForProcessStop',
        'Assert-ExchangeSetupArgumentsComplete',
        'Get-StringFromHashtable',
        'Get-DomainDNFromFQDN',
        'Set-DSCMachineStatus',
        'Test-ExtendedRightsPresent',
        'Test-ExtendedRights',
        'Get-ADExtendedPermissions',
        'Set-ADExtendedPermissions'
    )

    # Cmdlets to export from this module
    CmdletsToExport   = @()

    # Private data to pass to the module specified in RootModule/ModuleToProcess.
    # This may also contain a PSData hashtable with additional module metadata used by PowerShell.
    PrivateData       = @{

        PSData = @{
            Prerelease   = ''

            IconUri      = 'https://dsccommunity.org/images/DSC_Logo_300p.png'

            # Tags applied to this module. These help with module discovery in online galleries.
            Tags         = @('DesiredStateConfiguration', 'DSC', 'DSCResourceKit', 'DSCResource')

            # A URL to the license for this module.
            LicenseUri   = 'https://github.com/dsccommunity/xExchange/blob/main/LICENSE'

            # A URL to the main website for this project.
            ProjectUri   = 'https://github.com/dsccommunity/xExchange'

            # ReleaseNotes of this module
            ReleaseNotes = '## [1.34.0] - 2023-04-18

### Deprecated

- **The module _xExchange_ will be renamed to _ExchangeDsc_
  ([issue #484](https://github.com/dsccommunity/xExchange/issues/484)).
  The version `v1.34.0` will be the the last release of _xExchange_.
  Version `v2.0.0` will be released as _ExchangeDsc_, it will be released
  shortly after the `v1.34.0` release to be able to start transition to
  the new module. The prefix ''x'' will be removed from all resources in
  _ExchangeDsc_.**

### Added

- xExchOwaVirtualDirectoryInternal
  - Added parameters `ExternalDownloadHostName` and `InternalDownloadHostName`.

### Changed

- xExchange
  - Update the pipeline files to the latest from template in Sampler.
  - Update to CI worker that allow building MOF-based resources.
- xExchPopSettings
  - Add missing ProtocolLogEnabled parameter.
- xExchWebServicesVirtualDirectory
  - Fixed typo.
- xExchangeHelper
  - Fixed module import error ([issue #481](https://github.com/dsccommunity/xExchange/issues/481)).
  - Fixed error on first Exchange Module import ([Issue #488](https://github.com/dsccommunity/xExchange/issues/488)).
  - Changed return value of `Get-SetupExeVersion` to `System.Version` which fixes #410.

'
        } # End of PSData hashtable

    } # End of PrivateData hashtable
}
